<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.00
| Author: Alipapa
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."titler_alipapa_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."titler_alipapa_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."titler_alipapa_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."titler_alipapa_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['apt_title'];
$inf_description = $locale['apt_desc'];
$inf_version = "2.0";
$inf_developer = "Alipapa";
$inf_email = "alipapa@pisem.net";
$inf_weburl = "http://alipapa.ru/";

$inf_folder = "titler_alipapa_panel"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_AP_TITLES." (
apt_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
apt_url VARCHAR(200) DEFAULT '' NOT NULL,
apt_title VARCHAR(200) DEFAULT '' NOT NULL,
PRIMARY KEY (apt_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_AP_TITLES;


$inf_adminpanel[1] = array(
	"title" => $locale['apt_admin1'],
	"image" => "infusion_panel.gif",
	"panel" => "titler_alipapa_admin.php",
	"rights" => "apt"
);

?>